% *************************************************************
% author:   Gene Cheung                                      **
% date:     07/23/2014                                       **
% modified: 07/23/2014                                       **
% purpose:  convert a contour to chain code (length-1)       **
% *************************************************************

function [oppD] = oppDirect (directList, direct)

len = length(directList);

% check all directions in list for opposite ********
for i = 1:len,
    if direct == 1,      % north
        if directList(i) == 3,
            oppD = 1;
            return;
        end
    elseif direct == 2,  % east
        if directList(i) == 4,
            oppD = 1;
            return;
        end
    elseif direct == 3,  % south
        if directList(i) == 1,
            oppD = 1;
            return;
        end
    elseif direct == 4,  % west
        if directList(i) == 2,
            oppD = 1;
            return;
        end
    end
end
oppD = 0;